|
From: <sv...@va...> - 2008-03-19 17:11:56
|
Author: bart
Date: 2008-03-19 17:12:01 +0000 (Wed, 19 Mar 2008)
New Revision: 7740
Log:
Should have been in last commit.
Added:
trunk/exp-drd/tests/supported_libpthread
Modified:
trunk/exp-drd/tests/Makefile.am
Modified: trunk/exp-drd/tests/Makefile.am
===================================================================
--- trunk/exp-drd/tests/Makefile.am 2008-03-19 17:03:14 UTC (rev 7739)
+++ trunk/exp-drd/tests/Makefile.am 2008-03-19 17:12:01 UTC (rev 7740)
@@ -137,7 +137,7 @@
tc23_bogus_condwait.vgtest \
tc24_nonzero_sem.stderr.exp \
tc24_nonzero_sem.vgtest \
- trylock.c trylock.stderr.exp \
+ trylock.c trylock.stderr.exp
AM_CFLAGS = $(WERROR) -Winline -Wall -Wshadow -g $(AM_FLAG_M3264_PRI)
AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_builddir)/include
Added: trunk/exp-drd/tests/supported_libpthread
===================================================================
--- trunk/exp-drd/tests/supported_libpthread (rev 0)
+++ trunk/exp-drd/tests/supported_libpthread 2008-03-19 17:12:01 UTC (rev 7740)
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Exit with status 0 if a supported version of libpthread is found (NPTL or
+# non-Linux libpthread) and exit with status 1 if a non-supported version of
+# libpthread is found (LinuxThreads).
+
+if [ "$(uname)" = "Linux" ]; then
+ libpthread_version="$(/usr/bin/getconf GNU_LIBPTHREAD_VERSION 2>/dev/null)"
+ if [ "${libpthread_version#NPTL}" != "${libpthread_version}" ]; then
+ # NPTL
+ exit 0
+ fi
+ # configuration string is empty or does start with "linuxthreads".
+ exit 1
+fi
+
+# Another OS than Linux, which is also fine.
+exit 0
Property changes on: trunk/exp-drd/tests/supported_libpthread
___________________________________________________________________
Name: svn:executable
+ *
|